Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GenNavigatorImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.GenNavigatorImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, GenDomainModelNavigator, GenNavigator

    public class GenNavigatorImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements GenNavigator

An implementation of the model object 'Gen Navigator'.

The following features are implemented:

- `Generate Domain Model Navigator`
- `Domain Content Extension ID`
- `Domain Content Extension Name`
- `Domain Content Extension Priority`
- `Domain Content Provider Class Name`
- `Domain Label Provider Class Name`
- `Domain Model Element Tester Class Name`
- `Domain Navigator Item Class Name`
- `Editor Gen`
- `Content Extension ID`
- `Content Extension Name`
- `Content Extension Priority`
- `Link Helper Extension ID`
- `Sorter Extension ID`
- `Action Provider ID`
- `Content Provider Class Name`
- `Label Provider Class Name`
- `Link Helper Class Name`
- `Sorter Class Name`
- `Action Provider Class Name`
- `Abstract Navigator Item Class Name`
- `Navigator Group Class Name`
- `Navigator Item Class Name`
- `Uri Input Tester Class Name`
- `Package Name`
- `Child References`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static java.lang.String` `ABSTRACT_NAVIGATOR_ITEM_CLASS_NAME_EDEFAULT` The default value of the '`Abstract Navigator Item Class Name`' attribute
`protected java.lang.String` `abstractNavigatorItemClassName` The cached value of the '`Abstract Navigator Item Class Name`' attribute
`protected static java.lang.String` `ACTION_PROVIDER_CLASS_NAME_EDEFAULT` The default value of the '`Action Provider Class Name`' attribute
`protected static java.lang.String` `ACTION_PROVIDER_ID_EDEFAULT` The default value of the '`Action Provider ID`' attribute
`protected java.lang.String` `actionProviderClassName` The cached value of the '`Action Provider Class Name`' attribute
`protected java.lang.String` `actionProviderID` The cached value of the '`Action Provider ID`' attribute
`protected org.eclipse.emf.common.util.EList<GenNavigatorChildReference>` `childReferences` The cached value of the '`Child References`' containment reference list
`protected static java.lang.String` `CONTENT_EXTENSION_ID_EDEFAULT` The default value of the '`Content Extension ID`' attribute
`protected static java.lang.String` `CONTENT_EXTENSION_NAME_EDEFAULT` The default value of the '`Content Extension Name`' attribute
`protected static java.lang.String` `CONTENT_EXTENSION_PRIORITY_EDEFAULT` The default value of the '`Content Extension Priority`' attribute
`protected static java.lang.String` `CONTENT_PROVIDER_CLASS_NAME_EDEFAULT` The default value of the '`Content Provider Class Name`' attribute
`protected java.lang.String` `contentExtensionID` The cached value of the '`Content Extension ID`' attribute
`protected java.lang.String` `contentExtensionName` The cached value of the '`Content Extension Name`' attribute
`protected java.lang.String` `contentExtensionPriority` The cached value of the '`Content Extension Priority`' attribute
`protected java.lang.String` `contentProviderClassName` The cached value of the '`Content Provider Class Name`' attribute
`protected static java.lang.String` `DOMAIN_CONTENT_EXTENSION_ID_EDEFAULT` The default value of the '`Domain Content Extension ID`' attribute
`protected static java.lang.String` `DOMAIN_CONTENT_EXTENSION_NAME_EDEFAULT` The default value of the '`Domain Content Extension Name`' attribute
`protected static java.lang.String` `DOMAIN_CONTENT_EXTENSION_PRIORITY_EDEFAULT` The default value of the '`Domain Content Extension Priority`' attribute
`protected static java.lang.String` `DOMAIN_CONTENT_PROVIDER_CLASS_NAME_EDEFAULT` The default value of the '`Domain Content Provider Class Name`' attribute
`protected static java.lang.String` `DOMAIN_LABEL_PROVIDER_CLASS_NAME_EDEFAULT` The default value of the '`Domain Label Provider Class Name`' attribute
`protected static java.lang.String` `DOMAIN_MODEL_ELEMENT_TESTER_CLASS_NAME_EDEFAULT` The default value of the '`Domain Model Element Tester Class Name`' attribute
`protected static java.lang.String` `DOMAIN_NAVIGATOR_ITEM_CLASS_NAME_EDEFAULT` The default value of the '`Domain Navigator Item Class Name`' attribute
`protected java.lang.String` `domainContentExtensionID` The cached value of the '`Domain Content Extension ID`' attribute
`protected java.lang.String` `domainContentExtensionName` The cached value of the '`Domain Content Extension Name`' attribute
`protected java.lang.String` `domainContentExtensionPriority` The cached value of the '`Domain Content Extension Priority`' attribute
`protected java.lang.String` `domainContentProviderClassName` The cached value of the '`Domain Content Provider Class Name`' attribute
`protected java.lang.String` `domainLabelProviderClassName` The cached value of the '`Domain Label Provider Class Name`' attribute
`protected java.lang.String` `domainModelElementTesterClassName` The cached value of the '`Domain Model Element Tester Class Name`' attribute
`protected java.lang.String` `domainNavigatorItemClassName` The cached value of the '`Domain Navigator Item Class Name`' attribute
`protected static boolean` `GENERATE_DOMAIN_MODEL_NAVIGATOR_EDEFAULT` The default value of the '`Generate Domain Model Navigator`' attribute
`protected boolean` `generateDomainModelNavigator` The cached value of the '`Generate Domain Model Navigator`' attribute
`protected static java.lang.String` `LABEL_PROVIDER_CLASS_NAME_EDEFAULT` The default value of the '`Label Provider Class Name`' attribute
`protected java.lang.String` `labelProviderClassName` The cached value of the '`Label Provider Class Name`' attribute
`protected static java.lang.String` `LINK_HELPER_CLASS_NAME_EDEFAULT` The default value of the '`Link Helper Class Name`' attribute
`protected static java.lang.String` `LINK_HELPER_EXTENSION_ID_EDEFAULT` The default value of the '`Link Helper Extension ID`' attribute
`protected java.lang.String` `linkHelperClassName` The cached value of the '`Link Helper Class Name`' attribute
`protected java.lang.String` `linkHelperExtensionID` The cached value of the '`Link Helper Extension ID`' attribute
`protected static java.lang.String` `NAVIGATOR_GROUP_CLASS_NAME_EDEFAULT` The default value of the '`Navigator Group Class Name`' attribute
`protected static java.lang.String` `NAVIGATOR_ITEM_CLASS_NAME_EDEFAULT` The default value of the '`Navigator Item Class Name`' attribute
`protected java.lang.String` `navigatorGroupClassName` The cached value of the '`Navigator Group Class Name`' attribute
`protected java.lang.String` `navigatorItemClassName` The cached value of the '`Navigator Item Class Name`' attribute
`protected static java.lang.String` `PACKAGE_NAME_EDEFAULT` The default value of the '`Package Name`' attribute
`protected java.lang.String` `packageName` The cached value of the '`Package Name`' attribute
`protected static java.lang.String` `SORTER_CLASS_NAME_EDEFAULT` The default value of the '`Sorter Class Name`' attribute
`protected static java.lang.String` `SORTER_EXTENSION_ID_EDEFAULT` The default value of the '`Sorter Extension ID`' attribute
`protected java.lang.String` `sorterClassName` The cached value of the '`Sorter Class Name`' attribute
`protected java.lang.String` `sorterExtensionID` The cached value of the '`Sorter Extension ID`' attribute
`protected static java.lang.String` `URI_INPUT_TESTER_CLASS_NAME_EDEFAULT` The default value of the '`Uri Input Tester Class Name`' attribute
`protected java.lang.String` `uriInputTesterClassName` The cached value of the '`Uri Input Tester Class Name`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenNavigatorImpl()`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` `eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getAbstractNavigatorItemClassName()` Returns the value of the 'Abstract Navigator Item Class Name' attribute
`java.lang.String` `getAbstractNavigatorItemClassNameGen()`
`java.lang.String` `getAbstractNavigatorItemQualifiedClassName()`
`java.lang.String` `getActionProviderClassName()` Returns the value of the 'Action Provider Class Name' attribute
`java.lang.String` `getActionProviderClassNameGen()`
`java.lang.String` `getActionProviderID()` Returns the value of the 'Action Provider ID' attribute
`java.lang.String` `getActionProviderIDGen()`
`java.lang.String` `getActionProviderQualifiedClassName()`
`org.eclipse.emf.common.util.EList<GenNavigatorChildReference>` `getChildReferences()`
`java.lang.String` `getContentExtensionID()` Returns the value of the 'Content Extension ID' attribute
`java.lang.String` `getContentExtensionIDGen()`
`java.lang.String` `getContentExtensionName()` Returns the value of the 'Content Extension Name' attribute
`java.lang.String` `getContentExtensionNameGen()`
`java.lang.String` `getContentExtensionPriority()` Returns the value of the 'Content Extension Priority' attribute
`java.lang.String` `getContentExtensionPriorityGen()`
`java.lang.String` `getContentProviderClassName()` Returns the value of the 'Content Provider Class Name' attribute
`java.lang.String` `getContentProviderClassNameGen()`
`java.lang.String` `getContentProviderQualifiedClassName()`
`java.lang.String` `getDomainContentExtensionID()` Returns the value of the 'Domain Content Extension ID' attribute
`java.lang.String` `getDomainContentExtensionIDGen()`
`java.lang.String` `getDomainContentExtensionName()` Returns the value of the 'Domain Content Extension Name' attribute
`java.lang.String` `getDomainContentExtensionNameGen()`
`java.lang.String` `getDomainContentExtensionPriority()` Returns the value of the 'Domain Content Extension Priority' attribute
`java.lang.String` `getDomainContentExtensionPriorityGen()`
`java.lang.String` `getDomainContentProviderClassName()` Returns the value of the 'Domain Content Provider Class Name' attribute
`java.lang.String` `getDomainContentProviderClassNameGen()`
`java.lang.String` `getDomainContentProviderQualifiedClassName()`
`java.lang.String` `getDomainLabelProviderClassName()` Returns the value of the 'Domain Label Provider Class Name' attribute
`java.lang.String` `getDomainLabelProviderClassNameGen()`
`java.lang.String` `getDomainLabelProviderQualifiedClassName()`
`java.lang.String` `getDomainModelElementTesterClassName()` Returns the value of the 'Domain Model Element Tester Class Name' attribute
`java.lang.String` `getDomainModelElementTesterClassNameGen()`
`java.lang.String` `getDomainModelElementTesterQualifiedClassName()`
`java.lang.String` `getDomainNavigatorItemClassName()` Returns the value of the 'Domain Navigator Item Class Name' attribute
`java.lang.String` `getDomainNavigatorItemClassNameGen()`
`java.lang.String` `getDomainNavigatorItemQualifiedClassName()`
`GenEditorGenerator` `getEditorGen()`
`java.lang.String` `getLabelProviderClassName()` Returns the value of the 'Label Provider Class Name' attribute
`java.lang.String` `getLabelProviderClassNameGen()`
`java.lang.String` `getLabelProviderQualifiedClassName()`
`java.lang.String` `getLinkHelperClassName()` Returns the value of the 'Link Helper Class Name' attribute
`java.lang.String` `getLinkHelperClassNameGen()`
`java.lang.String` `getLinkHelperExtensionID()` Returns the value of the 'Link Helper Extension ID' attribute
`java.lang.String` `getLinkHelperExtensionIDGen()`
`java.lang.String` `getLinkHelperQualifiedClassName()`
`java.lang.String` `getNavigatorGroupClassName()` Returns the value of the 'Navigator Group Class Name' attribute
`java.lang.String` `getNavigatorGroupClassNameGen()`
`java.lang.String` `getNavigatorGroupQualifiedClassName()`
`java.lang.String` `getNavigatorItemClassName()` Returns the value of the 'Navigator Item Class Name' attribute
`java.lang.String` `getNavigatorItemClassNameGen()`
`java.lang.String` `getNavigatorItemQualifiedClassName()`
`java.lang.String` `getPackageName()` Returns the value of the 'Package Name' attribute
`java.lang.String` `getPackageNameGen()`
`java.lang.String` `getSorterClassName()` Returns the value of the 'Sorter Class Name' attribute
`java.lang.String` `getSorterClassNameGen()`
`java.lang.String` `getSorterExtensionID()` Returns the value of the 'Sorter Extension ID' attribute
`java.lang.String` `getSorterExtensionIDGen()`
`java.lang.String` `getSorterQualifiedClassName()`
`java.lang.String` `getUriInputTesterClassName()` Returns the value of the 'Uri Input Tester Class Name' attribute
`java.lang.String` `getUriInputTesterClassNameGen()`
`java.lang.String` `getUriInputTesterQualifiedClassName()`
`boolean` `isGenerateDomainModelNavigator()`
`void` `setAbstractNavigatorItemClassName(java.lang.String newAbstractNavigatorItemClassName)`
`void` `setActionProviderClassName(java.lang.String newActionProviderClassName)`
`void` `setActionProviderID(java.lang.String newActionProviderID)`
`void` `setContentExtensionID(java.lang.String newContentExtensionID)`
`void` `setContentExtensionName(java.lang.String newContentExtensionName)`
`void` `setContentExtensionPriority(java.lang.String newContentExtensionPriority)`
`void` `setContentProviderClassName(java.lang.String newContentProviderClassName)`
`void` `setDomainContentExtensionID(java.lang.String newDomainContentExtensionID)`
`void` `setDomainContentExtensionName(java.lang.String newDomainContentExtensionName)`
`void` `setDomainContentExtensionPriority(java.lang.String newDomainContentExtensionPriority)`
`void` `setDomainContentProviderClassName(java.lang.String newDomainContentProviderClassName)`
`void` `setDomainLabelProviderClassName(java.lang.String newDomainLabelProviderClassName)`
`void` `setDomainModelElementTesterClassName(java.lang.String newDomainModelElementTesterClassName)`
`void` `setDomainNavigatorItemClassName(java.lang.String newDomainNavigatorItemClassName)`
`void` `setGenerateDomainModelNavigator(boolean newGenerateDomainModelNavigator)`
`void` `setLabelProviderClassName(java.lang.String newLabelProviderClassName)`
`void` `setLinkHelperClassName(java.lang.String newLinkHelperClassName)`
`void` `setLinkHelperExtensionID(java.lang.String newLinkHelperExtensionID)`
`void` `setNavigatorGroupClassName(java.lang.String newNavigatorGroupClassName)`
`void` `setNavigatorItemClassName(java.lang.String newNavigatorItemClassName)`
`void` `setPackageName(java.lang.String newPackageName)`
`void` `setSorterClassName(java.lang.String newSorterClassName)`
`void` `setSorterExtensionID(java.lang.String newSorterExtensionID)`
`void` `setUriInputTesterClassName(java.lang.String newUriInputTesterClassName)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### GENERATE_DOMAIN_MODEL_NAVIGATOR_EDEFAULT

    protected static final boolean GENERATE_DOMAIN_MODEL_NAVIGATOR_EDEFAULT

  The default value of the '`Generate Domain Model Navigator`' attribute.

  See Also:
    `isGenerateDomainModelNavigator()`, Constant Field Values
  ** Generated **
  Ordered:

### generateDomainModelNavigator

    protected boolean generateDomainModelNavigator

  The cached value of the '`Generate Domain Model Navigator`' attribute.

  See Also:
    `isGenerateDomainModelNavigator()`
  ** Generated **
  Ordered:

### DOMAIN_CONTENT_EXTENSION_ID_EDEFAULT

    protected static final java.lang.String DOMAIN_CONTENT_EXTENSION_ID_EDEFAULT

  The default value of the '`Domain Content Extension ID`' attribute.

  See Also:
    `getDomainContentExtensionID()`
  ** Generated **
  Ordered:

### domainContentExtensionID

    protected java.lang.String domainContentExtensionID

  The cached value of the '`Domain Content Extension ID`' attribute.

  See Also:
    `getDomainContentExtensionID()`
  ** Generated **
  Ordered:

### DOMAIN_CONTENT_EXTENSION_NAME_EDEFAULT

    protected static final java.lang.String DOMAIN_CONTENT_EXTENSION_NAME_EDEFAULT

  The default value of the '`Domain Content Extension Name`' attribute.

  See Also:
    `getDomainContentExtensionName()`
  ** Generated **
  Ordered:

### domainContentExtensionName

    protected java.lang.String domainContentExtensionName

  The cached value of the '`Domain Content Extension Name`' attribute.

  See Also:
    `getDomainContentExtensionName()`
  ** Generated **
  Ordered:

### DOMAIN_CONTENT_EXTENSION_PRIORITY_EDEFAULT

    protected static final java.lang.String DOMAIN_CONTENT_EXTENSION_PRIORITY_EDEFAULT

  The default value of the '`Domain Content Extension Priority`' attribute.

  See Also:
    `getDomainContentExtensionPriority()`
  ** Generated **
  Ordered:

### domainContentExtensionPriority

    protected java.lang.String domainContentExtensionPriority

  The cached value of the '`Domain Content Extension Priority`' attribute.

  See Also:
    `getDomainContentExtensionPriority()`
  ** Generated **
  Ordered:

### DOMAIN_CONTENT_PROVIDER_CLASS_NAME_EDEFAULT

    protected static final java.lang.String DOMAIN_CONTENT_PROVIDER_CLASS_NAME_EDEFAULT

  The default value of the '`Domain Content Provider Class Name`' attribute.

  See Also:
    `getDomainContentProviderClassName()`
  ** Generated **
  Ordered:

### domainContentProviderClassName

    protected java.lang.String domainContentProviderClassName

  The cached value of the '`Domain Content Provider Class Name`' attribute.

  See Also:
    `getDomainContentProviderClassName()`
  ** Generated **
  Ordered:

### DOMAIN_LABEL_PROVIDER_CLASS_NAME_EDEFAULT

    protected static final java.lang.String DOMAIN_LABEL_PROVIDER_CLASS_NAME_EDEFAULT

  The default value of the '`Domain Label Provider Class Name`' attribute.

  See Also:
    `getDomainLabelProviderClassName()`
  ** Generated **
  Ordered:

### domainLabelProviderClassName

    protected java.lang.String domainLabelProviderClassName

  The cached value of the '`Domain Label Provider Class Name`' attribute.

  See Also:
    `getDomainLabelProviderClassName()`
  ** Generated **
  Ordered:

### DOMAIN_MODEL_ELEMENT_TESTER_CLASS_NAME_EDEFAULT

    protected static final java.lang.String DOMAIN_MODEL_ELEMENT_TESTER_CLASS_NAME_EDEFAULT

  The default value of the '`Domain Model Element Tester Class Name`' attribute.

  See Also:
    `getDomainModelElementTesterClassName()`
  ** Generated **
  Ordered:

### domainModelElementTesterClassName

    protected java.lang.String domainModelElementTesterClassName

  The cached value of the '`Domain Model Element Tester Class Name`' attribute.

  See Also:
    `getDomainModelElementTesterClassName()`
  ** Generated **
  Ordered:

### DOMAIN_NAVIGATOR_ITEM_CLASS_NAME_EDEFAULT

    protected static final java.lang.String DOMAIN_NAVIGATOR_ITEM_CLASS_NAME_EDEFAULT

  The default value of the '`Domain Navigator Item Class Name`' attribute.

  See Also:
    `getDomainNavigatorItemClassName()`
  ** Generated **
  Ordered:

### domainNavigatorItemClassName

    protected java.lang.String domainNavigatorItemClassName

  The cached value of the '`Domain Navigator Item Class Name`' attribute.

  See Also:
    `getDomainNavigatorItemClassName()`
  ** Generated **
  Ordered:

### CONTENT_EXTENSION_ID_EDEFAULT

    protected static final java.lang.String CONTENT_EXTENSION_ID_EDEFAULT

  The default value of the '`Content Extension ID`' attribute.

  See Also:
    `getContentExtensionID()`
  ** Generated **
  Ordered:

### contentExtensionID

    protected java.lang.String contentExtensionID

  The cached value of the '`Content Extension ID`' attribute.

  See Also:
    `getContentExtensionID()`
  ** Generated **
  Ordered:

### CONTENT_EXTENSION_NAME_EDEFAULT

    protected static final java.lang.String CONTENT_EXTENSION_NAME_EDEFAULT

  The default value of the '`Content Extension Name`' attribute.

  See Also:
    `getContentExtensionName()`
  ** Generated **
  Ordered:

### contentExtensionName

    protected java.lang.String contentExtensionName

  The cached value of the '`Content Extension Name`' attribute.

  See Also:
    `getContentExtensionName()`
  ** Generated **
  Ordered:

### CONTENT_EXTENSION_PRIORITY_EDEFAULT

    protected static final java.lang.String CONTENT_EXTENSION_PRIORITY_EDEFAULT

  The default value of the '`Content Extension Priority`' attribute.

  See Also:
    `getContentExtensionPriority()`
  ** Generated **
  Ordered:

### contentExtensionPriority

    protected java.lang.String contentExtensionPriority

  The cached value of the '`Content Extension Priority`' attribute.

  See Also:
    `getContentExtensionPriority()`
  ** Generated **
  Ordered:

### LINK_HELPER_EXTENSION_ID_EDEFAULT

    protected static final java.lang.String LINK_HELPER_EXTENSION_ID_EDEFAULT

  The default value of the '`Link Helper Extension ID`' attribute.

  See Also:
    `getLinkHelperExtensionID()`
  ** Generated **
  Ordered:

### linkHelperExtensionID

    protected java.lang.String linkHelperExtensionID

  The cached value of the '`Link Helper Extension ID`' attribute.

  See Also:
    `getLinkHelperExtensionID()`
  ** Generated **
  Ordered:

### SORTER_EXTENSION_ID_EDEFAULT

    protected static final java.lang.String SORTER_EXTENSION_ID_EDEFAULT

  The default value of the '`Sorter Extension ID`' attribute.

  See Also:
    `getSorterExtensionID()`
  ** Generated **
  Ordered:

### sorterExtensionID

    protected java.lang.String sorterExtensionID

  The cached value of the '`Sorter Extension ID`' attribute.

  See Also:
    `getSorterExtensionID()`
  ** Generated **
  Ordered:

### ACTION_PROVIDER_ID_EDEFAULT

    protected static final java.lang.String ACTION_PROVIDER_ID_EDEFAULT

  The default value of the '`Action Provider ID`' attribute.

  See Also:
    `getActionProviderID()`
  ** Generated **
  Ordered:

### actionProviderID

    protected java.lang.String actionProviderID

  The cached value of the '`Action Provider ID`' attribute.

  See Also:
    `getActionProviderID()`
  ** Generated **
  Ordered:

### CONTENT_PROVIDER_CLASS_NAME_EDEFAULT

    protected static final java.lang.String CONTENT_PROVIDER_CLASS_NAME_EDEFAULT

  The default value of the '`Content Provider Class Name`' attribute.

  See Also:
    `getContentProviderClassName()`
  ** Generated **
  Ordered:

### contentProviderClassName

    protected java.lang.String contentProviderClassName

  The cached value of the '`Content Provider Class Name`' attribute.

  See Also:
    `getContentProviderClassName()`
  ** Generated **
  Ordered:

### LABEL_PROVIDER_CLASS_NAME_EDEFAULT

    protected static final java.lang.String LABEL_PROVIDER_CLASS_NAME_EDEFAULT

  The default value of the '`Label Provider Class Name`' attribute.

  See Also:
    `getLabelProviderClassName()`
  ** Generated **
  Ordered:

### labelProviderClassName

    protected java.lang.String labelProviderClassName

  The cached value of the '`Label Provider Class Name`' attribute.

  See Also:
    `getLabelProviderClassName()`
  ** Generated **
  Ordered:

### LINK_HELPER_CLASS_NAME_EDEFAULT

    protected static final java.lang.String LINK_HELPER_CLASS_NAME_EDEFAULT

  The default value of the '`Link Helper Class Name`' attribute.

  See Also:
    `getLinkHelperClassName()`
  ** Generated **
  Ordered:

### linkHelperClassName

    protected java.lang.String linkHelperClassName

  The cached value of the '`Link Helper Class Name`' attribute.

  See Also:
    `getLinkHelperClassName()`
  ** Generated **
  Ordered:

### SORTER_CLASS_NAME_EDEFAULT

    protected static final java.lang.String SORTER_CLASS_NAME_EDEFAULT

  The default value of the '`Sorter Class Name`' attribute.

  See Also:
    `getSorterClassName()`
  ** Generated **
  Ordered:

### sorterClassName

    protected java.lang.String sorterClassName

  The cached value of the '`Sorter Class Name`' attribute.

  See Also:
    `getSorterClassName()`
  ** Generated **
  Ordered:

### ACTION_PROVIDER_CLASS_NAME_EDEFAULT

    protected static final java.lang.String ACTION_PROVIDER_CLASS_NAME_EDEFAULT

  The default value of the '`Action Provider Class Name`' attribute.

  See Also:
    `getActionProviderClassName()`
  ** Generated **
  Ordered:

### actionProviderClassName

    protected java.lang.String actionProviderClassName

  The cached value of the '`Action Provider Class Name`' attribute.

  See Also:
    `getActionProviderClassName()`
  ** Generated **
  Ordered:

### ABSTRACT_NAVIGATOR_ITEM_CLASS_NAME_EDEFAULT

    protected static final java.lang.String ABSTRACT_NAVIGATOR_ITEM_CLASS_NAME_EDEFAULT

  The default value of the '`Abstract Navigator Item Class Name`' attribute.

  See Also:
    `getAbstractNavigatorItemClassName()`
  ** Generated **
  Ordered:

### abstractNavigatorItemClassName

    protected java.lang.String abstractNavigatorItemClassName

  The cached value of the '`Abstract Navigator Item Class Name`' attribute.

  See Also:
    `getAbstractNavigatorItemClassName()`
  ** Generated **
  Ordered:

### NAVIGATOR_GROUP_CLASS_NAME_EDEFAULT

    protected static final java.lang.String NAVIGATOR_GROUP_CLASS_NAME_EDEFAULT

  The default value of the '`Navigator Group Class Name`' attribute.

  See Also:
    `getNavigatorGroupClassName()`
  ** Generated **
  Ordered:

### navigatorGroupClassName

    protected java.lang.String navigatorGroupClassName

  The cached value of the '`Navigator Group Class Name`' attribute.

  See Also:
    `getNavigatorGroupClassName()`
  ** Generated **
  Ordered:

### NAVIGATOR_ITEM_CLASS_NAME_EDEFAULT

    protected static final java.lang.String NAVIGATOR_ITEM_CLASS_NAME_EDEFAULT

  The default value of the '`Navigator Item Class Name`' attribute.

  See Also:
    `getNavigatorItemClassName()`
  ** Generated **
  Ordered:

### navigatorItemClassName

    protected java.lang.String navigatorItemClassName

  The cached value of the '`Navigator Item Class Name`' attribute.

  See Also:
    `getNavigatorItemClassName()`
  ** Generated **
  Ordered:

### URI_INPUT_TESTER_CLASS_NAME_EDEFAULT

    protected static final java.lang.String URI_INPUT_TESTER_CLASS_NAME_EDEFAULT

  The default value of the '`Uri Input Tester Class Name`' attribute.

  See Also:
    `getUriInputTesterClassName()`
  ** Generated **
  Ordered:

### uriInputTesterClassName

    protected java.lang.String uriInputTesterClassName

  The cached value of the '`Uri Input Tester Class Name`' attribute.

  See Also:
    `getUriInputTesterClassName()`
  ** Generated **
  Ordered:

### PACKAGE_NAME_EDEFAULT

    protected static final java.lang.String PACKAGE_NAME_EDEFAULT

  The default value of the '`Package Name`' attribute.

  See Also:
    `getPackageName()`
  ** Generated **
  Ordered:

### packageName

    protected java.lang.String packageName

  The cached value of the '`Package Name`' attribute.

  See Also:
    `getPackageName()`
  ** Generated **
  Ordered:

### childReferences

    protected org.eclipse.emf.common.util.EList<GenNavigatorChildReference> childReferences

  The cached value of the '`Child References`' containment reference list.

  See Also:
    `getChildReferences()`
  ** Generated **
  Ordered:

Constructor Detail

### GenNavigatorImpl

    protected GenNavigatorImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`
  ** Generated **

### getEditorGen

    public GenEditorGenerator getEditorGen()

  Specified by:
    `getEditorGen` in interface `GenNavigator`
  Returns:
    the value of the 'Editor Gen' container reference.
  See Also:
    `GMFGenPackage.getGenNavigator_EditorGen()`, `GenEditorGenerator.getNavigator()`
  ** Generated **

### getContentExtensionIDGen

    public java.lang.String getContentExtensionIDGen()

  ** Generated **

### getContentExtensionID

    public java.lang.String getContentExtensionID()

  Description copied from interface: `GenNavigator`
  Returns the value of the 'Content Extension ID' attribute.

  If the meaning of the 'Content Extension ID' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getContentExtensionID` in interface `GenNavigator`
  Returns:
    the value of the 'Content Extension ID' attribute.
  See Also:
    `GenNavigator.setContentExtensionID(String)`, `GMFGenPackage.getGenNavigator_ContentExtensionID()`

### setContentExtensionID

    public void setContentExtensionID(java.lang.String newContentExtensionID)

  Specified by:
    `setContentExtensionID` in interface `GenNavigator`
  Parameters:
    `newContentExtensionID` - the new value of the 'Content Extension ID' attribute.
  See Also:
    `GenNavigator.getContentExtensionID()`
  ** Generated **

### getContentExtensionNameGen

    public java.lang.String getContentExtensionNameGen()

  ** Generated **

### getContentExtensionName

    public java.lang.String getContentExtensionName()

  Description copied from interface: `GenNavigator`
  Returns the value of the 'Content Extension Name' attribute.

  If the meaning of the 'Content Extension Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getContentExtensionName` in interface `GenNavigator`
  Returns:
    the value of the 'Content Extension Name' attribute.
  See Also:
    `GenNavigator.setContentExtensionName(String)`, `GMFGenPackage.getGenNavigator_ContentExtensionName()`

### setContentExtensionName

    public void setContentExtensionName(java.lang.String newContentExtensionName)

  Specified by:
    `setContentExtensionName` in interface `GenNavigator`
  Parameters:
    `newContentExtensionName` - the new value of the 'Content Extension Name' attribute.
  See Also:
    `GenNavigator.getContentExtensionName()`
  ** Generated **

### getContentExtensionPriorityGen

    public java.lang.String getContentExtensionPriorityGen()

  ** Generated **

### getContentExtensionPriority

    public java.lang.String getContentExtensionPriority()

  Description copied from interface: `GenNavigator`
  Returns the value of the 'Content Extension Priority' attribute.

  If the meaning of the 'Content Extension Priority' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getContentExtensionPriority` in interface `GenNavigator`
  Returns:
    the value of the 'Content Extension Priority' attribute.
  See Also:
    `GenNavigator.setContentExtensionPriority(String)`, `GMFGenPackage.getGenNavigator_ContentExtensionPriority()`

### setContentExtensionPriority

    public void setContentExtensionPriority(java.lang.String newContentExtensionPriority)

  Specified by:
    `setContentExtensionPriority` in interface `GenNavigator`
  Parameters:
    `newContentExtensionPriority` - the new value of the 'Content Extension Priority' attribute.
  See Also:
    `GenNavigator.getContentExtensionPriority()`
  ** Generated **

### getLinkHelperExtensionIDGen

    public java.lang.String getLinkHelperExtensionIDGen()

  ** Generated **

### getLinkHelperExtensionID

    public java.lang.String getLinkHelperExtensionID()

  Description copied from interface: `GenNavigator`
  Returns the value of the 'Link Helper Extension ID' attribute.

  If the meaning of the 'Link Helper Extension ID' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getLinkHelperExtensionID` in interface `GenNavigator`
  Returns:
    the value of the 'Link Helper Extension ID' attribute.
  See Also:
    `GenNavigator.setLinkHelperExtensionID(String)`, `GMFGenPackage.getGenNavigator_LinkHelperExtensionID()`

### setLinkHelperExtensionID

    public void setLinkHelperExtensionID(java.lang.String newLinkHelperExtensionID)

  Specified by:
    `setLinkHelperExtensionID` in interface `GenNavigator`
  Parameters:
    `newLinkHelperExtensionID` - the new value of the 'Link Helper Extension ID' attribute.
  See Also:
    `GenNavigator.getLinkHelperExtensionID()`
  ** Generated **

### getSorterExtensionIDGen

    public java.lang.String getSorterExtensionIDGen()

  ** Generated **

### getSorterExtensionID

    public java.lang.String getSorterExtensionID()

  Description copied from interface: `GenNavigator`
  Returns the value of the 'Sorter Extension ID' attribute.

  If the meaning of the 'Sorter Extension ID' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getSorterExtensionID` in interface `GenNavigator`
  Returns:
    the value of the 'Sorter Extension ID' attribute.
  See Also:
    `GenNavigator.setSorterExtensionID(String)`, `GMFGenPackage.getGenNavigator_SorterExtensionID()`

### setSorterExtensionID

    public void setSorterExtensionID(java.lang.String newSorterExtensionID)

  Specified by:
    `setSorterExtensionID` in interface `GenNavigator`
  Parameters:
    `newSorterExtensionID` - the new value of the 'Sorter Extension ID' attribute.
  See Also:
    `GenNavigator.getSorterExtensionID()`
  ** Generated **

### getActionProviderIDGen

    public java.lang.String getActionProviderIDGen()

  ** Generated **

### getActionProviderID

    public java.lang.String getActionProviderID()

  Description copied from interface: `GenNavigator`
  Returns the value of the 'Action Provider ID' attribute.

  If the meaning of the 'Action Provider ID' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getActionProviderID` in interface `GenNavigator`
  Returns:
    the value of the 'Action Provider ID' attribute.
  See Also:
    `GenNavigator.setActionProviderID(String)`, `GMFGenPackage.getGenNavigator_ActionProviderID()`

### setActionProviderID

    public void setActionProviderID(java.lang.String newActionProviderID)

  Specified by:
    `setActionProviderID` in interface `GenNavigator`
  Parameters:
    `newActionProviderID` - the new value of the 'Action Provider ID' attribute.
  See Also:
    `GenNavigator.getActionProviderID()`
  ** Generated **

### getContentProviderClassNameGen

    public java.lang.String getContentProviderClassNameGen()

  ** Generated **

### getContentProviderClassName

    public java.lang.String getContentProviderClassName()

  Description copied from interface: `GenNavigator`
  Returns the value of the 'Content Provider Class Name' attribute.

  If the meaning of the 'Content Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getContentProviderClassName` in interface `GenNavigator`
  Returns:
    the value of the 'Content Provider Class Name' attribute.
  See Also:
    `GenNavigator.setContentProviderClassName(String)`, `GMFGenPackage.getGenNavigator_ContentProviderClassName()`

### setContentProviderClassName

    public void setContentProviderClassName(java.lang.String newContentProviderClassName)

  Specified by:
    `setContentProviderClassName` in interface `GenNavigator`
  Parameters:
    `newContentProviderClassName` - the new value of the 'Content Provider Class Name' attribute.
  See Also:
    `GenNavigator.getContentProviderClassName()`
  ** Generated **

### getLabelProviderClassNameGen

    public java.lang.String getLabelProviderClassNameGen()

  ** Generated **

### getLabelProviderClassName

    public java.lang.String getLabelProviderClassName()

  Description copied from interface: `GenNavigator`
  Returns the value of the 'Label Provider Class Name' attribute.

  If the meaning of the 'Label Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getLabelProviderClassName` in interface `GenNavigator`
  Returns:
    the value of the 'Label Provider Class Name' attribute.
  See Also:
    `GenNavigator.setLabelProviderClassName(String)`, `GMFGenPackage.getGenNavigator_LabelProviderClassName()`

### setLabelProviderClassName

    public void setLabelProviderClassName(java.lang.String newLabelProviderClassName)

  Specified by:
    `setLabelProviderClassName` in interface `GenNavigator`
  Parameters:
    `newLabelProviderClassName` - the new value of the 'Label Provider Class Name' attribute.
  See Also:
    `GenNavigator.getLabelProviderClassName()`
  ** Generated **

### getLinkHelperClassNameGen

    public java.lang.String getLinkHelperClassNameGen()

  ** Generated **

### getLinkHelperClassName

    public java.lang.String getLinkHelperClassName()

  Description copied from interface: `GenNavigator`
  Returns the value of the 'Link Helper Class Name' attribute.

  If the meaning of the 'Link Helper Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getLinkHelperClassName` in interface `GenNavigator`
  Returns:
    the value of the 'Link Helper Class Name' attribute.
  See Also:
    `GenNavigator.setLinkHelperClassName(String)`, `GMFGenPackage.getGenNavigator_LinkHelperClassName()`

### setLinkHelperClassName

    public void setLinkHelperClassName(java.lang.String newLinkHelperClassName)

  Specified by:
    `setLinkHelperClassName` in interface `GenNavigator`
  Parameters:
    `newLinkHelperClassName` - the new value of the 'Link Helper Class Name' attribute.
  See Also:
    `GenNavigator.getLinkHelperClassName()`
  ** Generated **

### getSorterClassNameGen

    public java.lang.String getSorterClassNameGen()

  ** Generated **

### getSorterClassName

    public java.lang.String getSorterClassName()

  Description copied from interface: `GenNavigator`
  Returns the value of the 'Sorter Class Name' attribute.

  If the meaning of the 'Sorter Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getSorterClassName` in interface `GenNavigator`
  Returns:
    the value of the 'Sorter Class Name' attribute.
  See Also:
    `GenNavigator.setSorterClassName(String)`, `GMFGenPackage.getGenNavigator_SorterClassName()`

### setSorterClassName

    public void setSorterClassName(java.lang.String newSorterClassName)

  Specified by:
    `setSorterClassName` in interface `GenNavigator`
  Parameters:
    `newSorterClassName` - the new value of the 'Sorter Class Name' attribute.
  See Also:
    `GenNavigator.getSorterClassName()`
  ** Generated **

### getActionProviderClassNameGen

    public java.lang.String getActionProviderClassNameGen()

  ** Generated **

### getActionProviderClassName

    public java.lang.String getActionProviderClassName()

  Description copied from interface: `GenNavigator`
  Returns the value of the 'Action Provider Class Name' attribute.

  If the meaning of the 'Action Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getActionProviderClassName` in interface `GenNavigator`
  Returns:
    the value of the 'Action Provider Class Name' attribute.
  See Also:
    `GenNavigator.setActionProviderClassName(String)`, `GMFGenPackage.getGenNavigator_ActionProviderClassName()`

### setActionProviderClassName

    public void setActionProviderClassName(java.lang.String newActionProviderClassName)

  Specified by:
    `setActionProviderClassName` in interface `GenNavigator`
  Parameters:
    `newActionProviderClassName` - the new value of the 'Action Provider Class Name' attribute.
  See Also:
    `GenNavigator.getActionProviderClassName()`
  ** Generated **

### getAbstractNavigatorItemClassNameGen

    public java.lang.String getAbstractNavigatorItemClassNameGen()

  ** Generated **

### getAbstractNavigatorItemClassName

    public java.lang.String getAbstractNavigatorItemClassName()

  Description copied from interface: `GenNavigator`
  Returns the value of the 'Abstract Navigator Item Class Name' attribute.

  If the meaning of the 'Abstract Navigator Item Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getAbstractNavigatorItemClassName` in interface `GenNavigator`
  Returns:
    the value of the 'Abstract Navigator Item Class Name' attribute.
  See Also:
    `GenNavigator.setAbstractNavigatorItemClassName(String)`, `GMFGenPackage.getGenNavigator_AbstractNavigatorItemClassName()`

### setAbstractNavigatorItemClassName

    public void setAbstractNavigatorItemClassName(java.lang.String newAbstractNavigatorItemClassName)

  Specified by:
    `setAbstractNavigatorItemClassName` in interface `GenNavigator`
  Parameters:
    `newAbstractNavigatorItemClassName` - the new value of the 'Abstract Navigator Item Class Name' attribute.
  See Also:
    `GenNavigator.getAbstractNavigatorItemClassName()`
  ** Generated **

### getNavigatorGroupClassNameGen

    public java.lang.String getNavigatorGroupClassNameGen()

  ** Generated **

### getNavigatorGroupClassName

    public java.lang.String getNavigatorGroupClassName()

  Description copied from interface: `GenNavigator`
  Returns the value of the 'Navigator Group Class Name' attribute.

  If the meaning of the 'Navigator Group Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getNavigatorGroupClassName` in interface `GenNavigator`
  Returns:
    the value of the 'Navigator Group Class Name' attribute.
  See Also:
    `GenNavigator.setNavigatorGroupClassName(String)`, `GMFGenPackage.getGenNavigator_NavigatorGroupClassName()`

### setNavigatorGroupClassName

    public void setNavigatorGroupClassName(java.lang.String newNavigatorGroupClassName)

  Specified by:
    `setNavigatorGroupClassName` in interface `GenNavigator`
  Parameters:
    `newNavigatorGroupClassName` - the new value of the 'Navigator Group Class Name' attribute.
  See Also:
    `GenNavigator.getNavigatorGroupClassName()`
  ** Generated **

### getNavigatorItemClassNameGen

    public java.lang.String getNavigatorItemClassNameGen()

  ** Generated **

### getNavigatorItemClassName

    public java.lang.String getNavigatorItemClassName()

  Description copied from interface: `GenNavigator`
  Returns the value of the 'Navigator Item Class Name' attribute.

  If the meaning of the 'Navigator Item Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getNavigatorItemClassName` in interface `GenNavigator`
  Returns:
    the value of the 'Navigator Item Class Name' attribute.
  See Also:
    `GenNavigator.setNavigatorItemClassName(String)`, `GMFGenPackage.getGenNavigator_NavigatorItemClassName()`

### setNavigatorItemClassName

    public void setNavigatorItemClassName(java.lang.String newNavigatorItemClassName)

  Specified by:
    `setNavigatorItemClassName` in interface `GenNavigator`
  Parameters:
    `newNavigatorItemClassName` - the new value of the 'Navigator Item Class Name' attribute.
  See Also:
    `GenNavigator.getNavigatorItemClassName()`
  ** Generated **

### getUriInputTesterClassNameGen

    public java.lang.String getUriInputTesterClassNameGen()

  ** Generated **

### getUriInputTesterClassName

    public java.lang.String getUriInputTesterClassName()

  Description copied from interface: `GenNavigator`
  Returns the value of the 'Uri Input Tester Class Name' attribute.

  If the meaning of the 'Uri Input Tester Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getUriInputTesterClassName` in interface `GenNavigator`
  Returns:
    the value of the 'Uri Input Tester Class Name' attribute.
  See Also:
    `GenNavigator.setUriInputTesterClassName(String)`, `GMFGenPackage.getGenNavigator_UriInputTesterClassName()`

### setUriInputTesterClassName

    public void setUriInputTesterClassName(java.lang.String newUriInputTesterClassName)

  Specified by:
    `setUriInputTesterClassName` in interface `GenNavigator`
  Parameters:
    `newUriInputTesterClassName` - the new value of the 'Uri Input Tester Class Name' attribute.
  See Also:
    `GenNavigator.getUriInputTesterClassName()`
  ** Generated **

### getPackageNameGen

    public java.lang.String getPackageNameGen()

  ** Generated **

### getPackageName

    public java.lang.String getPackageName()

  Description copied from interface: `GenNavigator`
  Returns the value of the 'Package Name' attribute.

  If the meaning of the 'Package Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getPackageName` in interface `GenNavigator`
  Returns:
    the value of the 'Package Name' attribute.
  See Also:
    `GenNavigator.setPackageName(String)`, `GMFGenPackage.getGenNavigator_PackageName()`

### setPackageName

    public void setPackageName(java.lang.String newPackageName)

  Specified by:
    `setPackageName` in interface `GenNavigator`
  Parameters:
    `newPackageName` - the new value of the 'Package Name' attribute.
  See Also:
    `GenNavigator.getPackageName()`
  ** Generated **

### isGenerateDomainModelNavigator

    public boolean isGenerateDomainModelNavigator()

  Specified by:
    `isGenerateDomainModelNavigator` in interface `GenDomainModelNavigator`
  Returns:
    the value of the 'Generate Domain Model Navigator' attribute.
  See Also:
    `GenDomainModelNavigator.setGenerateDomainModelNavigator(boolean)`, `GMFGenPackage.getGenDomainModelNavigator_GenerateDomainModelNavigator()`
  ** Generated **

### setGenerateDomainModelNavigator

    public void setGenerateDomainModelNavigator(boolean newGenerateDomainModelNavigator)

  Specified by:
    `setGenerateDomainModelNavigator` in interface `GenDomainModelNavigator`
  Parameters:
    `newGenerateDomainModelNavigator` - the new value of the 'Generate Domain Model Navigator' attribute.
  See Also:
    `GenDomainModelNavigator.isGenerateDomainModelNavigator()`
  ** Generated **

### getDomainContentExtensionIDGen

    public java.lang.String getDomainContentExtensionIDGen()

  ** Generated **

### getDomainContentExtensionID

    public java.lang.String getDomainContentExtensionID()

  Description copied from interface: `GenDomainModelNavigator`
  Returns the value of the 'Domain Content Extension ID' attribute.

  If the meaning of the 'Domain Content Extension ID' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getDomainContentExtensionID` in interface `GenDomainModelNavigator`
  Returns:
    the value of the 'Domain Content Extension ID' attribute.
  See Also:
    `GenDomainModelNavigator.setDomainContentExtensionID(String)`, `GMFGenPackage.getGenDomainModelNavigator_DomainContentExtensionID()`

### setDomainContentExtensionID

    public void setDomainContentExtensionID(java.lang.String newDomainContentExtensionID)

  Specified by:
    `setDomainContentExtensionID` in interface `GenDomainModelNavigator`
  Parameters:
    `newDomainContentExtensionID` - the new value of the 'Domain Content Extension ID' attribute.
  See Also:
    `GenDomainModelNavigator.getDomainContentExtensionID()`
  ** Generated **

### getDomainContentExtensionNameGen

    public java.lang.String getDomainContentExtensionNameGen()

  ** Generated **

### getDomainContentExtensionName

    public java.lang.String getDomainContentExtensionName()

  Description copied from interface: `GenDomainModelNavigator`
  Returns the value of the 'Domain Content Extension Name' attribute.

  If the meaning of the 'Domain Content Extension Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getDomainContentExtensionName` in interface `GenDomainModelNavigator`
  Returns:
    the value of the 'Domain Content Extension Name' attribute.
  See Also:
    `GenDomainModelNavigator.setDomainContentExtensionName(String)`, `GMFGenPackage.getGenDomainModelNavigator_DomainContentExtensionName()`

### setDomainContentExtensionName

    public void setDomainContentExtensionName(java.lang.String newDomainContentExtensionName)

  Specified by:
    `setDomainContentExtensionName` in interface `GenDomainModelNavigator`
  Parameters:
    `newDomainContentExtensionName` - the new value of the 'Domain Content Extension Name' attribute.
  See Also:
    `GenDomainModelNavigator.getDomainContentExtensionName()`
  ** Generated **

### getDomainContentExtensionPriorityGen

    public java.lang.String getDomainContentExtensionPriorityGen()

  ** Generated **

### getDomainContentExtensionPriority

    public java.lang.String getDomainContentExtensionPriority()

  Description copied from interface: `GenDomainModelNavigator`
  Returns the value of the 'Domain Content Extension Priority' attribute.

  If the meaning of the 'Domain Content Extension Priority' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getDomainContentExtensionPriority` in interface `GenDomainModelNavigator`
  Returns:
    the value of the 'Domain Content Extension Priority' attribute.
  See Also:
    `GenDomainModelNavigator.setDomainContentExtensionPriority(String)`, `GMFGenPackage.getGenDomainModelNavigator_DomainContentExtensionPriority()`

### setDomainContentExtensionPriority

    public void setDomainContentExtensionPriority(java.lang.String newDomainContentExtensionPriority)

  Specified by:
    `setDomainContentExtensionPriority` in interface `GenDomainModelNavigator`
  Parameters:
    `newDomainContentExtensionPriority` - the new value of the 'Domain Content Extension Priority' attribute.
  See Also:
    `GenDomainModelNavigator.getDomainContentExtensionPriority()`
  ** Generated **

### getDomainContentProviderClassNameGen

    public java.lang.String getDomainContentProviderClassNameGen()

  ** Generated **

### getDomainContentProviderClassName

    public java.lang.String getDomainContentProviderClassName()

  Description copied from interface: `GenDomainModelNavigator`
  Returns the value of the 'Domain Content Provider Class Name' attribute.

  If the meaning of the 'Domain Content Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getDomainContentProviderClassName` in interface `GenDomainModelNavigator`
  Returns:
    the value of the 'Domain Content Provider Class Name' attribute.
  See Also:
    `GenDomainModelNavigator.setDomainContentProviderClassName(String)`, `GMFGenPackage.getGenDomainModelNavigator_DomainContentProviderClassName()`

### setDomainContentProviderClassName

    public void setDomainContentProviderClassName(java.lang.String newDomainContentProviderClassName)

  Specified by:
    `setDomainContentProviderClassName` in interface `GenDomainModelNavigator`
  Parameters:
    `newDomainContentProviderClassName` - the new value of the 'Domain Content Provider Class Name' attribute.
  See Also:
    `GenDomainModelNavigator.getDomainContentProviderClassName()`
  ** Generated **

### getDomainLabelProviderClassNameGen

    public java.lang.String getDomainLabelProviderClassNameGen()

  ** Generated **

### getDomainLabelProviderClassName

    public java.lang.String getDomainLabelProviderClassName()

  Description copied from interface: `GenDomainModelNavigator`
  Returns the value of the 'Domain Label Provider Class Name' attribute.

  If the meaning of the 'Domain Label Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getDomainLabelProviderClassName` in interface `GenDomainModelNavigator`
  Returns:
    the value of the 'Domain Label Provider Class Name' attribute.
  See Also:
    `GenDomainModelNavigator.setDomainLabelProviderClassName(String)`, `GMFGenPackage.getGenDomainModelNavigator_DomainLabelProviderClassName()`

### setDomainLabelProviderClassName

    public void setDomainLabelProviderClassName(java.lang.String newDomainLabelProviderClassName)

  Specified by:
    `setDomainLabelProviderClassName` in interface `GenDomainModelNavigator`
  Parameters:
    `newDomainLabelProviderClassName` - the new value of the 'Domain Label Provider Class Name' attribute.
  See Also:
    `GenDomainModelNavigator.getDomainLabelProviderClassName()`
  ** Generated **

### getDomainModelElementTesterClassNameGen

    public java.lang.String getDomainModelElementTesterClassNameGen()

  ** Generated **

### getDomainModelElementTesterClassName

    public java.lang.String getDomainModelElementTesterClassName()

  Description copied from interface: `GenDomainModelNavigator`
  Returns the value of the 'Domain Model Element Tester Class Name' attribute.

  If the meaning of the 'Domain Model Element Tester Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getDomainModelElementTesterClassName` in interface `GenDomainModelNavigator`
  Returns:
    the value of the 'Domain Model Element Tester Class Name' attribute.
  See Also:
    `GenDomainModelNavigator.setDomainModelElementTesterClassName(String)`, `GMFGenPackage.getGenDomainModelNavigator_DomainModelElementTesterClassName()`

### setDomainModelElementTesterClassName

    public void setDomainModelElementTesterClassName(java.lang.String newDomainModelElementTesterClassName)

  Specified by:
    `setDomainModelElementTesterClassName` in interface `GenDomainModelNavigator`
  Parameters:
    `newDomainModelElementTesterClassName` - the new value of the 'Domain Model Element Tester Class Name' attribute.
  See Also:
    `GenDomainModelNavigator.getDomainModelElementTesterClassName()`
  ** Generated **

### getDomainNavigatorItemClassNameGen

    public java.lang.String getDomainNavigatorItemClassNameGen()

  ** Generated **

### getDomainNavigatorItemClassName

    public java.lang.String getDomainNavigatorItemClassName()

  Description copied from interface: `GenDomainModelNavigator`
  Returns the value of the 'Domain Navigator Item Class Name' attribute.

  If the meaning of the 'Domain Navigator Item Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getDomainNavigatorItemClassName` in interface `GenDomainModelNavigator`
  Returns:
    the value of the 'Domain Navigator Item Class Name' attribute.
  See Also:
    `GenDomainModelNavigator.setDomainNavigatorItemClassName(String)`, `GMFGenPackage.getGenDomainModelNavigator_DomainNavigatorItemClassName()`

### setDomainNavigatorItemClassName

    public void setDomainNavigatorItemClassName(java.lang.String newDomainNavigatorItemClassName)

  Specified by:
    `setDomainNavigatorItemClassName` in interface `GenDomainModelNavigator`
  Parameters:
    `newDomainNavigatorItemClassName` - the new value of the 'Domain Navigator Item Class Name' attribute.
  See Also:
    `GenDomainModelNavigator.getDomainNavigatorItemClassName()`
  ** Generated **

### getChildReferences

    public org.eclipse.emf.common.util.EList<GenNavigatorChildReference> getChildReferences()

  Specified by:
    `getChildReferences` in interface `GenNavigator`
  Returns:
    the value of the 'Child References' containment reference list.
  See Also:
    `GMFGenPackage.getGenNavigator_ChildReferences()`, `GenNavigatorChildReference.getNavigator()`
  ** Generated **

### getContentProviderQualifiedClassName

    public java.lang.String getContentProviderQualifiedClassName()

  Specified by:
    `getContentProviderQualifiedClassName` in interface `GenNavigator`
  ** Generated **
    NOT

### getLabelProviderQualifiedClassName

    public java.lang.String getLabelProviderQualifiedClassName()

  Specified by:
    `getLabelProviderQualifiedClassName` in interface `GenNavigator`
  ** Generated **
    NOT

### getLinkHelperQualifiedClassName

    public java.lang.String getLinkHelperQualifiedClassName()

  Specified by:
    `getLinkHelperQualifiedClassName` in interface `GenNavigator`
  ** Generated **
    NOT

### getSorterQualifiedClassName

    public java.lang.String getSorterQualifiedClassName()

  Specified by:
    `getSorterQualifiedClassName` in interface `GenNavigator`
  ** Generated **
    NOT

### getActionProviderQualifiedClassName

    public java.lang.String getActionProviderQualifiedClassName()

  Specified by:
    `getActionProviderQualifiedClassName` in interface `GenNavigator`
  ** Generated **
    NOT

### getAbstractNavigatorItemQualifiedClassName

    public java.lang.String getAbstractNavigatorItemQualifiedClassName()

  Specified by:
    `getAbstractNavigatorItemQualifiedClassName` in interface `GenNavigator`
  ** Generated **
    NOT

### getNavigatorGroupQualifiedClassName

    public java.lang.String getNavigatorGroupQualifiedClassName()

  Specified by:
    `getNavigatorGroupQualifiedClassName` in interface `GenNavigator`
  ** Generated **
    NOT

### getNavigatorItemQualifiedClassName

    public java.lang.String getNavigatorItemQualifiedClassName()

  Specified by:
    `getNavigatorItemQualifiedClassName` in interface `GenNavigator`
  ** Generated **
    NOT

### getUriInputTesterQualifiedClassName

    public java.lang.String getUriInputTesterQualifiedClassName()

  Specified by:
    `getUriInputTesterQualifiedClassName` in interface `GenNavigator`
  ** Generated **
    NOT

### getDomainContentProviderQualifiedClassName

    public java.lang.String getDomainContentProviderQualifiedClassName()

  Specified by:
    `getDomainContentProviderQualifiedClassName` in interface `GenDomainModelNavigator`
  ** Generated **
    NOT

### getDomainLabelProviderQualifiedClassName

    public java.lang.String getDomainLabelProviderQualifiedClassName()

  Specified by:
    `getDomainLabelProviderQualifiedClassName` in interface `GenDomainModelNavigator`
  ** Generated **
    NOT

### getDomainModelElementTesterQualifiedClassName

    public java.lang.String getDomainModelElementTesterQualifiedClassName()

  Specified by:
    `getDomainModelElementTesterQualifiedClassName` in interface `GenDomainModelNavigator`
  ** Generated **
    NOT

### getDomainNavigatorItemQualifiedClassName

    public java.lang.String getDomainNavigatorItemQualifiedClassName()

  Specified by:
    `getDomainNavigatorItemQualifiedClassName` in interface `GenDomainModelNavigator`
  ** Generated **
    NOT

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.